% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/install.R
\name{install}
\alias{install}
\alias{uninstall}
\title{Install and uninstall support for .Renviron.d and .Rprofile.d startup directories}
\usage{
install(path = "~", backup = TRUE, debug = FALSE)

uninstall(path = "~", backup = TRUE, debug = FALSE)
}
\arguments{
\item{path}{The path where to create / update the \file{.Rprofile} file.}

\item{backup}{If \code{TRUE}, a timestamped backup copy of the original file is created before modifying it, otherwise not.}

\item{debug}{If \code{TRUE}, debug messages are outputted, otherwise not.}
}
\description{
Install and uninstall support for \file{.Renviron.d} and \file{.Rprofile.d} startup directories by appending / removing one line of code to the \file{~/.Rprofile} file.
}
\section{Functions}{
\itemize{
\item \code{install}: Appends a \code{startup::startup()} call to the \file{.Rprofile}.

\item \code{uninstall}: Remove calls to \code{startup::startup()} and similar.
}}

